Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.dlm
Class Constants

    java.lang.Object
      org.jasig.portal.layout.dlm.Constants

    public class Constants

extends java.lang.Object

Constants used in DLM.

Since:
  uPortal 2.5
Version:
  $Revision: 1.4 $ $Date: 2005/05/12 15:59:43 $

Field Summary
`static java.lang.String` | `ATT_ADD_CHILD_ALLOWED`
`static java.lang.String` | `ATT_CHANNEL_ID`
`static java.lang.String` | `ATT_DEBUG_PRINT`
`static java.lang.String` | `ATT_DELETE_ALLOWED`
`static java.lang.String` | `ATT_EDIT_ALLOWED`
`static java.lang.String` | `ATT_FRAGMENT`
`static java.lang.String` | `ATT_FRAGMENT_NAME`
`static java.lang.String` | `ATT_HIDDEN`
`static java.lang.String` | `ATT_ID`
`static java.lang.String` | `ATT_IS_TEMPLATE_USER`
`static java.lang.String` | `ATT_MOVE_ALLOWED`
`static java.lang.String` | `ATT_NAME`
`static java.lang.String` | `ATT_ORIGIN`
`static java.lang.String` | `ATT_PLF_ID`
`static java.lang.String` | `ATT_PRECEDENCE`
`static java.lang.String` | `ATT_TEMPLATE_LOGIN_ID`
`static java.lang.String` | `ATT_TYPE`
`static java.lang.String` | `DIRECTIVE_PREFIX`
`static java.lang.String` | `ELM_DELETE`
`static java.lang.String` | `ELM_DELETE_SET`
`static java.lang.String` | `ELM_EDIT`
`static java.lang.String` | `ELM_EDIT_SET`
`static java.lang.String` | `ELM_POSITION`
`static java.lang.String` | `ELM_POSITION_SET`
`static java.lang.String` | `ELM_PREF`
`static java.lang.String` | `LCL_ADD_CHILD_ALLOWED`
`static java.lang.String` | `LCL_DELETE_ALLOWED`
`static java.lang.String` | `LCL_EDIT_ALLOWED`
`static java.lang.String` | `LCL_FRAGMENT_NAME`
`static java.lang.String` | `LCL_IS_TEMPLATE_USER`
`static java.lang.String` | `LCL_MOVE_ALLOWED`
`static java.lang.String` | `LEGACY_ATT_ORIGIN`
`static java.lang.String` | `LEGACY_NS`
`static java.lang.String` | `NS`
`static java.lang.String` | `NS_DECL`
`static java.lang.String` | `NS_URI`
`static java.lang.String` | `PLF`
`static java.lang.String` | `RCS_ID`
`static java.lang.String` | `STRUCTURE_PREFS`
`static java.lang.String` | `THEME_PREFS`

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

See Also:
  Constant Field Values

### NS

    public static final java.lang.String NS

See Also:
  Constant Field Values

### NS_DECL

    public static final java.lang.String NS_DECL

See Also:
  Constant Field Values

### NS_URI

    public static final java.lang.String NS_URI

See Also:
  Constant Field Values

### LEGACY_NS

    public static final java.lang.String LEGACY_NS

See Also:
  Constant Field Values

### LEGACY_ATT_ORIGIN

    public static final java.lang.String LEGACY_ATT_ORIGIN

See Also:
  Constant Field Values

### LCL_DELETE_ALLOWED

    public static final java.lang.String LCL_DELETE_ALLOWED

See Also:
  Constant Field Values

### LCL_MOVE_ALLOWED

    public static final java.lang.String LCL_MOVE_ALLOWED

See Also:
  Constant Field Values

### LCL_EDIT_ALLOWED

    public static final java.lang.String LCL_EDIT_ALLOWED

See Also:
  Constant Field Values

### LCL_ADD_CHILD_ALLOWED

    public static final java.lang.String LCL_ADD_CHILD_ALLOWED

See Also:
  Constant Field Values

### ATT_DELETE_ALLOWED

    public static final java.lang.String ATT_DELETE_ALLOWED

See Also:
  Constant Field Values

### ATT_MOVE_ALLOWED

    public static final java.lang.String ATT_MOVE_ALLOWED

See Also:
  Constant Field Values

### ATT_EDIT_ALLOWED

    public static final java.lang.String ATT_EDIT_ALLOWED

See Also:
  Constant Field Values

### ATT_ADD_CHILD_ALLOWED

    public static final java.lang.String ATT_ADD_CHILD_ALLOWED

See Also:
  Constant Field Values

### ATT_ID

    public static final java.lang.String ATT_ID

See Also:
  Constant Field Values

### ATT_TYPE

    public static final java.lang.String ATT_TYPE

See Also:
  Constant Field Values

### ATT_CHANNEL_ID

    public static final java.lang.String ATT_CHANNEL_ID

See Also:
  Constant Field Values

### ATT_HIDDEN

    public static final java.lang.String ATT_HIDDEN

See Also:
  Constant Field Values

### ATT_NAME

    public static final java.lang.String ATT_NAME

See Also:
  Constant Field Values

### ATT_PLF_ID

    public static final java.lang.String ATT_PLF_ID

See Also:
  Constant Field Values

### ATT_ORIGIN

    public static final java.lang.String ATT_ORIGIN

See Also:
  Constant Field Values

### ATT_PRECEDENCE

    public static final java.lang.String ATT_PRECEDENCE

See Also:
  Constant Field Values

### ATT_FRAGMENT

    public static final java.lang.String ATT_FRAGMENT

See Also:
  Constant Field Values

### LCL_FRAGMENT_NAME

    public static final java.lang.String LCL_FRAGMENT_NAME

See Also:
  Constant Field Values

### ATT_FRAGMENT_NAME

    public static final java.lang.String ATT_FRAGMENT_NAME

See Also:
  Constant Field Values

### LCL_IS_TEMPLATE_USER

    public static final java.lang.String LCL_IS_TEMPLATE_USER

See Also:
  Constant Field Values

### ATT_IS_TEMPLATE_USER

    public static final java.lang.String ATT_IS_TEMPLATE_USER

See Also:
  Constant Field Values

### ATT_TEMPLATE_LOGIN_ID

    public static final java.lang.String ATT_TEMPLATE_LOGIN_ID

See Also:
  Constant Field Values

### ATT_DEBUG_PRINT

    public static final java.lang.String ATT_DEBUG_PRINT

See Also:
  Constant Field Values

### ELM_POSITION_SET

    public static final java.lang.String ELM_POSITION_SET

See Also:
  Constant Field Values

### ELM_POSITION

    public static final java.lang.String ELM_POSITION

See Also:
  Constant Field Values

### ELM_DELETE_SET

    public static final java.lang.String ELM_DELETE_SET

See Also:
  Constant Field Values

### ELM_DELETE

    public static final java.lang.String ELM_DELETE

See Also:
  Constant Field Values

### ELM_EDIT_SET

    public static final java.lang.String ELM_EDIT_SET

See Also:
  Constant Field Values

### ELM_EDIT

    public static final java.lang.String ELM_EDIT

See Also:
  Constant Field Values

### ELM_PREF

    public static final java.lang.String ELM_PREF

See Also:
  Constant Field Values

### PLF

    public static final java.lang.String PLF

See Also:
  Constant Field Values

### STRUCTURE_PREFS

    public static final java.lang.String STRUCTURE_PREFS

See Also:
  Constant Field Values

### THEME_PREFS

    public static final java.lang.String THEME_PREFS

See Also:
  Constant Field Values

### DIRECTIVE_PREFIX

    public static final java.lang.String DIRECTIVE_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD